Subject: Attempt to upgrade kicad to 8.0.2

From: Peter Polidoro <[email-masked]>
Date: Wed, 15 May 2024 14:23:16 -0400

I am running into an error when attempting to update kicad to 
version 8:

CMake Error at 
/gnu/store/gl26kr5v6ch5lc3ignly61kb224drijc-cmake-minimal-3.24.2/share/cmake-3.24/Modules/FindPackageHandleStandardArgs.cmake:230 
(message): 
  Could NOT find OpenGL (missing: OPENGL_opengl_LIBRARY)

I am not sure why CMake is having trouble finding OpenGL since 
mesa is still listed as an input to the kicad package.

I tried various configure-flags based on the new kicad 
documentation and added some inputs that now may or may not be 
needed for the latest version, but I could not get past this CMake 
error.

Does anyone have any ideas for how else I can get kicad version 8 to compile? Thanks!